commit:     449d4a8250796576021f544d826cbd32f4c6c82d
Author:     Jorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto <AT> gentoo 
<DOT> org>
AuthorDate: Thu Jan 25 19:59:45 2018 +0000
Commit:     Jorge Manuel B. S. Vicetto <jmbsvicetto <AT> gentoo <DOT> org>
CommitDate: Thu Jan 25 20:13:19 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=449d4a82

dev-db/phpmyadmin: Add 4.7.7 release. This release includes a security fix 
(PMASA-2017-9).

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-db/phpmyadmin/Manifest                |  1 +
 dev-db/phpmyadmin/phpmyadmin-4.7.7.ebuild | 61 +++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-db/phpmyadmin/Manifest b/dev-db/phpmyadmin/Manifest
index a42454936a6..d9d38a94c50 100644
--- a/dev-db/phpmyadmin/Manifest
+++ b/dev-db/phpmyadmin/Manifest
@@ -3,3 +3,4 @@ DIST phpMyAdmin-4.7.0-all-languages.tar.xz 7600296 BLAKE2B 
10e1168ab7a1d8dfccf58
 DIST phpMyAdmin-4.7.1-all-languages.tar.xz 5665344 BLAKE2B 
6fc7570badf6496da6d038a117f7ebc523c3bbd4c7bd5193b5350df69b21f1b631391bc5ab0845193c2dabe2b9c54e16c6173495d0f383d17dac5734492166e4
 SHA512 
583ad8c8ee871fedd4df79e49845554f2f6182a343439fff8f91f61428964a85f3305590792096ede95a2ea675f065a4a4cdee31d365c03d2cc3aa721b0aeb6e
 DIST phpMyAdmin-4.7.2-all-languages.tar.xz 6270116 BLAKE2B 
6ce9d6940f8e6e9fce73b4177cb85283c8719fe080082a5f3c493493133e05deba76a6ee57843f9e01d4ba15109f1d56a73f436eba1d105bcd59b4b914a7723b
 SHA512 
ed0b26fd53d1a7d77dcaac98c8570282855b967aee23814fb61737484ea899ede7d900fd0baa27c20fa8ae9a55009db6037b1be42bd6a24d471d672f138d1761
 DIST phpMyAdmin-4.7.5-all-languages.tar.xz 6254188 BLAKE2B 
eaa4ace63f6f74fd36249d23c839f574a2a78373f831aaf89fd42013684242e1454005bf2b8acb10d49893288ef660767e869d38e6e255592626aec895037bb8
 SHA512 
f79a6779d3cd216e53c14faad74fcd35f4e89865c2b91cc6fb7599cc16c9a273143a6a491e960c0c902d29dd9e85f123f61bdef5c7b0cef45b827296f50d3d82
+DIST phpMyAdmin-4.7.7-all-languages.tar.xz 6411768 BLAKE2B 
59ea3c69ee6bd019d5ff61f16ec37c39b9f94dde72198acd1892d4212d2258b9913305d22c93f6925426a9554c411ebf1a20beeae0a5b5a4f869a3bf7da9d73b
 SHA512 
7eab8567a7889b79839104c3a46cfa7a841cb7188dc0bb0a306a6e15d06265b70e2b389c25e69bef2ebb77c7460381342322e2cfe546686d9b314b99c9419513

diff --git a/dev-db/phpmyadmin/phpmyadmin-4.7.7.ebuild 
b/dev-db/phpmyadmin/phpmyadmin-4.7.7.ebuild
new file mode 100644
index 00000000000..957fab2d7f8
--- /dev/null
+++ b/dev-db/phpmyadmin/phpmyadmin-4.7.7.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+inherit eutils webapp
+
+MY_PV=${PV/_/-}
+MY_PN="phpMyAdmin"
+MY_P="${MY_PN}-${MY_PV}-all-languages"
+
+DESCRIPTION="Web-based administration for MySQL database in PHP"
+HOMEPAGE="https://www.phpmyadmin.net/";
+SRC_URI="https://files.phpmyadmin.net/${MY_PN}/${MY_PV}/${MY_P}.tar.xz";
+
+LICENSE="GPL-2"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd 
~ppc-macos ~x64-macos ~x86-macos"
+IUSE="setup"
+
+RDEPEND="
+       dev-lang/php[crypt,ctype,filter,json,session,unicode]
+       || (
+               dev-lang/php[mysqli]
+               dev-lang/php[mysql]
+       )
+       virtual/httpd-php:*
+"
+
+need_httpd_cgi
+
+S="${WORKDIR}"/${MY_P}
+
+pkg_setup() {
+       webapp_pkg_setup
+}
+
+src_install() {
+       webapp_src_preinst
+
+       dodoc README RELEASE-DATE-${MY_PV} ChangeLog || die
+       rm -f LICENSE README* RELEASE-DATE-${MY_PV}
+
+       if ! use setup; then
+               rm -rf setup || die "Cannot remove setup utility"
+               elog "The phpMyAdmin setup utility has been removed."
+               elog "It is a regular target of various exploits. If you need 
it, set USE=setup."
+       else
+               elog "You should consider disabling the setup USE flag"
+               elog "to exclude the setup utility if you don't use it."
+               elog "It regularly is the target of various exploits."
+       fi
+
+       insinto "${MY_HTDOCSDIR#${EPREFIX}}"
+       doins -r .
+
+       webapp_configfile 
"${MY_HTDOCSDIR#${EPREFIX}}"/libraries/config.default.php
+       webapp_serverowned 
"${MY_HTDOCSDIR#${EPREFIX}}"/libraries/config.default.php
+
+       webapp_postinst_txt en "${FILESDIR}"/postinstall-en-3.1.txt
+       webapp_src_install
+}

Reply via email to